package de.intevation.flys.client.client.services;

import com.google.gwt.user.client.rpc.RemoteService;
import com.google.gwt.user.client.rpc.RemoteServiceRelativePath;

import java.util.List;

import de.intevation.flys.client.shared.exceptions.ServerException;

/**
 * This service is used to fetch a list of DistanceInfoObjects from artifact
 * server for a specific river.
 *
 * @author <a href="mailto:raimund.renkert@intevation.de">Raimund Renkert</a>
 */
@RemoteServiceRelativePath("csv")
public interface CSVExportService extends RemoteService {

    /**
     * This method returns a list of DistanceInfoObjects for a specific river.
     */
    List<String[]> getCSV(
        String serverUrl,
        String locale,
        String uuid,
        String name)
    throws ServerException;
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
